<?php

namespace KupShop\GraphQLBundle\ApiPos\Types;

use TheCodingMachine\GraphQLite\Annotations\Field;
use TheCodingMachine\GraphQLite\Annotations\Type;

/**
 * @Type()
 */
class PosIframe
{
    private ?string $title;
    private ?string $url;
    private ?string $id;

    public function __construct($id, $title, $url)
    {
        $this->id = $id;
        $this->title = $title;
        $this->url = $url;
    }

    /**
     * Název IFrame tabu.
     *
     * @Field()
     */
    public function getTitle(): ?string
    {
        return $this->title ?? null;
    }

    /**
     * Url IFrame tabu.
     *
     * @Field()
     */
    public function getUrl(): ?string
    {
        return $this->url ?? null;
    }

    /**
     * Id IFrame tabu.
     *
     * @Field()
     */
    public function getId(): ?string
    {
        return $this->id;
    }
}
